## swig-wx 1.3.29

=== Examples/Makefile ===
# ------------------------------------------------------------
# SWIG Examples Makefile
#
# This file is used by the examples to build modules.  Assuming
# you ran configure, this file will probably work.  However,
# it's not perfect so you might need to do some hand tweaking.
#
# Other notes:
#
# 1.   Take a look at the prefixes below.   Since SWIG works with
#      multiple target languages, you may need to find out where
#      certain packages have been installed.   Set the prefixes
#      accordingly.
#
# 2.   To use this makefile, simply set SRCS, INTERFACE, INCLUDES, LIBS,
#      TARGET, and do a
#           $(MAKE) -f Makefile.template.in SRCS='$(SRCS)' \
#           INCLUDES='$(INCLUDES) LIBS='$(LIBS)' INTERFACE='$(INTERFACE)' \
#           TARGET='$(TARGET)' method
#
#      'method' describes what is being built.
#---------------------------------------------------------------

TARGET     =
CC         = gcc
CXX        = g++
CFLAGS     = 
prefix     = /opt/swig
exec_prefix= ${prefix}
SRCS       =
INCLUDES   =
LIBS       =
INTERFACE  =
SWIGOPT    =
SWIG       = swig

LIBM       = -lieee -lm
LIBC       = 
LIBCRYPT   = -lcrypt
SYSLIBS    = $(LIBM) $(LIBC) $(LIBCRYPT)
LIBPREFIX  =

# X11 options

XLIB       = -L/usr/X11R6/lib -lX11
XINCLUDE   = # no special path needed

IWRAP      = $(INTERFACE:.i=_wrap.i)
ISRCS      = $(IWRAP:.i=.c)
ICXXSRCS   = $(IWRAP:.i=.cxx)
IOBJS      = $(IWRAP:.i=.o)

##################################################################
# Dynamic loading for C++
# If you are going to be building dynamic loadable modules in C++,
# you may need to edit this line appropriately.
#
# This line works for g++, but I'm not sure what it might be
# for other C++ compilers
##################################################################

CPP_DLLIBS = #-L/usr/local/lib/gcc-lib/sparc-sun-solaris2.5.1/2.7.2 \
             -L/usr/local/lib -lg++ -lstdc++ -lgcc

# Solaris workshop 5.0 
# CPP_DLLIBS = -L/opt/SUNWspro/lib -lCrun

# Symbols used for using shared libraries
SO=		.so
LDSHARED=	gcc -shared
CCSHARED=	-fpic
CXXSHARED=      gcc -shared

# This is used for building shared libraries with a number of C++
# compilers.   If it doesn't work,  comment it out.
CXXSHARED= g++ -shared 

OBJS      = $(SRCS:.c=.o) $(CXXSRCS:.cxx=.o)

##################################################################
#####                       Tcl/Tk                          ######
##################################################################

# Set these to your local copy of Tcl/Tk.

TCL_INCLUDE = 
TCL_LIB     = 
TCL_OPTS    = -ldl 
TK_OPTS     = -ltk -ltcl -ldl 

# Extra Tcl specific dynamic linking options
TCL_DLNK   = 
TCL_LDSHARED = gcc -shared
TCL_CXXSHARED = CXXSHARED= g++ -shared 
TCL_SO     = .so

# -----------------------------------------------------------
# Build a new version of the tclsh shell
# -----------------------------------------------------------


tclsh: $(SRCS)
	$(SWIG) -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) -ltclsh.i $(INTERFACE)
	$(CC) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(TCL_LIB)  $(TCL_OPTS) $(LIBS) $(SYSLIBS) -o $(TARGET)

tclsh_cpp: $(SRCS)
	$(SWIG) -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) -ltclsh.i $(INTERFACE)
	$(CXX) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(TCL_LIB) $(TCL_OPTS) $(LIBS) $(SYSLIBS) -o $(TARGET)

# -----------------------------------------------------------
# Build a new copy of wish
# -----------------------------------------------------------

wish: $(SRCS)
	$(SWIG) -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) -lwish.i $(INTERFACE)
	$(CC) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(XINCLUDE) $(TCL_LIB) $(TK_OPTS) $(XLIB) $(LIBS) $(SYSLIBS) -o $(TARGET)


wish_cpp: $(SRCS)
	$(SWIG) -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) -lwish.i $(INTERFACE)
	$(CXX) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(XINCLUDE) $(TCL_LIB) $(TK_OPTS) $(XLIB) $(LIBS) $(SYSLIBS) -o $(TARGET)

# -----------------------------------------------------------
# Build a Tcl dynamic loadable module (you might need to tweak this)
# -----------------------------------------------------------

tcl:  $(SRCS)
	$(SWIG) -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE)
	$(TCL_LDSHARED) $(OBJS) $(IOBJS) $(TCL_DLNK) $(LIBS) -o $(LIBPREFIX)$(TARGET)$(TCL_SO)

# -----------------------------------------------------------
# Build a Tcl7.5 dynamic loadable module for C++
# -----------------------------------------------------------

tcl_cpp: $(SRCS)
	$(SWIG) -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE)
	$(TCL_CXXSHARED) $(OBJS) $(IOBJS) $(TCL_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(LIBPREFIX)$(TARGET)$(TCL_SO)

# -----------------------------------------------------------------
# Cleaning the Tcl examples
# -----------------------------------------------------------------

tcl_clean:
	rm -f *_wrap* *~ .~* mytclsh 
	rm -f core 
	rm -f *.o *.so

##################################################################
#####                       PERL 5                          ######
##################################################################

# You need to set this variable to the Perl5 directory containing the
# files "perl.h", "EXTERN.h" and "XSUB.h".   With Perl5.003, it's
# usually something like /usr/local/lib/perl5/arch-osname/5.003/CORE.

PERL5_INCLUDE= /usr/lib/perl/5.8/CORE

# Extra Perl specific dynamic linking options
PERL5_DLNK   = 
PERL5_CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN -fno-strict-aliasing -pipe -isystem /usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

# ----------------------------------------------------------------
# Build a Perl5 dynamically loadable module (C)
# ----------------------------------------------------------------

perl5: $(SRCS)
	$(SWIG) -perl5 $(SWIGOPT) $(INTERFACE)
	$(CC) -c -Dbool=char $(CCSHARED) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(PERL5_CCFLAGS) -I$(PERL5_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(PERL5_DLNK) $(LIBS) -o $(LIBPREFIX)$(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a Perl5 dynamically loadable module (C++)
# ----------------------------------------------------------------

perl5_cpp: $(SRCS)
	$(SWIG) -perl5 -c++ $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(PERL5_CCFLAGS) -I$(PERL5_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(PERL5_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(LIBPREFIX)$(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a module from existing XS C source code.   (ie. from xsubpp).
# ----------------------------------------------------------------
perl5_xs: $(SRCS)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(INCLUDES) -I$(PERL5_INCLUDE)
	$(LDSHARED) $(OBJS) $(LIBS) -o $(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a statically linked Perl5 executable
# ----------------------------------------------------------------

PERL5_LIB    = -L$(PERL5_INCLUDE) -lperl.so.5.8.7 -ldl  $(SYSLIBS)

perl5_static: $(SRCS)
	$(SWIG) -perl5 -static -lperlmain.i $(SWIGOPT) $(INTERFACE)
	$(CC) $(CFLAGS) -Dbool=char $(SRCS) $(ISRCS) $(INCLUDES) -I$(PERL5_INCLUDE) $(PERL5_LIB) $(LIBS) -o $(TARGET)

perl5_static_cpp: $(SRCS)
	$(SWIG) -perl5 -c++ -static -lperlmain.i $(SWIGOPT) $(INTERFACE)
	$(CXX) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) -I$(PERL5_INCLUDE) $(PERL5_LIB) $(LIBS) -o $(TARGET)

# -----------------------------------------------------------------
# Cleaning the Perl5 examples
# -----------------------------------------------------------------

perl5_clean:
	rm -f *_wrap* *~ .~* myperl *.pm
	rm -f core 
	rm -f *.o *.so

##################################################################
#####                       PYTHON                          ######
##################################################################

# Make sure these locate your Python installation
PYTHON_INCLUDE= $(DEFS) -I/usr/include/python2.4 -I/usr/lib/python2.4/config
PYTHON_LIB    = /usr/lib/python2.4/config

# Extra Python specific dynamic linking options
PYTHON_DLNK   = 
PYTHON_SO     = .so

# ----------------------------------------------------------------
# Build a C dynamically loadable module
# ----------------------------------------------------------------

python: $(SRCS)
	$(SWIG) -python $(SWIGOPT) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(ISRCS) $(SRCS) $(INCLUDES) $(PYTHON_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(PYTHON_DLNK) $(LIBS) -o $(LIBPREFIX)_$(TARGET)$(PYTHON_SO)

# -----------------------------------------------------------------
# Build a C++ dynamically loadable module
# -----------------------------------------------------------------

python_cpp: $(SRCS)
	$(SWIG) -c++ -python $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(ICXXSRCS) $(SRCS) $(CXXSRCS) $(INCLUDES) $(PYTHON_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(PYTHON_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(LIBPREFIX)_$(TARGET)$(PYTHON_SO)

# -----------------------------------------------------------------
# Build statically linked Python interpreter
#
# These should only be used in conjunction with the %include embed.i
# library file
# -----------------------------------------------------------------

#TKINTER = -L/usr/X11R6.3/lib -L/usr/local/compat/lib -ltk4.0 -ltcl7.4 -lX11
TKINTER =
PYTHON_LIBOPTS = -lpython2.4 -ldl  $(TKINTER) $(SYSLIBS)

python_static: $(SRCS)
	$(SWIG) -python -lembed.i $(SWIGOPT) $(INTERFACE)
	$(CC) $(CFLAGS) -Xlinker -export-dynamic $(ISRCS) $(SRCS) $(INCLUDES) \
	$(PYTHON_INCLUDE) $(LIBS) -L$(PYTHON_LIB) $(PYTHON_LIBOPTS) -o $(TARGET)

python_static_cpp: $(SRCS)
	$(SWIG) -c++ -python -lembed.i $(SWIGOPT) $(INTERFACE)
	$(CXX) $(CFLAGS) $(ICXXSRCS) $(SRCS) $(CXXSRCS) $(INCLUDES) \
	$(PYTHON_INCLUDE) $(LIBS)  -L$(PYTHON_LIB) $(PYTHON_LIBOPTS) -o $(TARGET)

# -----------------------------------------------------------------
# Cleaning the python examples
# -----------------------------------------------------------------

python_clean:
	rm -f *_wrap* *~ .~* mypython *.pyc
	rm -f core 
	rm -f *.o *.so

##################################################################
#####                       GUILE                           ######
##################################################################

# Make sure these locate your Guile installation
GUILE_INCLUDE = 
GUILE_LIB     = 
GUILE_SO      = .so
GUILE_LIBPREFIX = lib

#------------------------------------------------------------------
# Build a dynamically loaded module with passive linkage and the scm interface
#------------------------------------------------------------------
guile: $(SRCS)
	$(SWIG) -guile -scm -Linkage passive $(SWIGOPT) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(INCLUDES) $(GUILE_INCLUDE) $(ISRCS) $(SRCS)
	$(LDSHARED) $(OBJS) $(IOBJS) $(LIBS) -o $(GUILE_LIBPREFIX)$(TARGET)$(GUILE_SO)

guile_cpp: $(SRCS)
	$(SWIG) -c++ -guile -scm -Linkage passive $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(INCLUDES) $(GUILE_INCLUDE) $(ICXXSRCS) $(SRCS) $(CXXSRCS)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(LIBS) $(CPP_DLLIBS) -o $(GUILE_LIBPREFIX)$(TARGET)$(GUILE_SO)

#------------------------------------------------------------------
# Build a dynamically loaded module with passive linkage and the gh interface
#------------------------------------------------------------------
guile_gh: $(SRCS)
	$(SWIG) -guile -gh -Linkage passive $(SWIGOPT) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(INCLUDES) $(GUILE_INCLUDE) $(ISRCS) $(SRCS)
	$(LDSHARED) $(OBJS) $(IOBJS) $(LIBS) -o $(GUILE_LIBPREFIX)$(TARGET)$(GUILE_SO)

guile_gh_cpp: $(SRCS)
	$(SWIG) -c++ -guile -gh -Linkage passive $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(INCLUDES) $(GUILE_INCLUDE) $(ICXXSRCS) $(SRCS) $(CXXSRCS)

=== Examples/GIFPlot/Makefile ===
prefix      = /opt/swig
exec_prefix = ${prefix}
RANLIB      = ranlib
OPT         =

INSTALL        = ../install-sh -c
INSTALL_DATA   = ${INSTALL} -m 644
SHELL          = /bin/sh

all:	
	cd Lib && $(MAKE) OPT="$(OPT)"

install: 
	$(INSTALL_DATA) Include/gifplot.h $(prefix)/include/gifplot.h
	$(INSTALL_DATA) libgifplot.a $(exec_prefix)/lib/libgifplot.a
	$(RANLIB) $(exec_prefix)/lib/libgifplot.a

clean::
	rm -f *.o *~ libgifplot.a *_wrap* *_man*
	cd Lib && $(MAKE) clean
	rm -f config.log config.status config.cache

check: all

=== Examples/guile/Makefile ===
# Makefile for Guile.  Used by all of the example programs.

subdirs		= simple matrix port constants multimap multivalue

top_srcdir	= ../..
SWIG		= ../$(top_srcdir)/preinst-swig
CC		= gcc
CXX		= g++
CFLAGS		= 
GUILEINCLUDE	= 
GUILELINK	= -L -lguile
SWIGOPT		=

WRAP		= $(IFILE:.i=_wrap.c)
CXXWRAP		= $(IFILE:.i=_wrap.cxx)

SO		= .so

all:
	for d in $(subdirs) ; do (cd $$d ; $(MAKE)) ; done

clean::
	for d in $(subdirs) ; do (cd $$d ; $(MAKE) clean) ; done
	rm -f *~ .~*

guile_clean:
	rm -f *.o *$(SO) *_wrap* *~ .~* core my-guile $(TARGET)

# This is meant to be used w/ "make -f ../Makefile" from subdirs.
# Doesn't make sense to use it from here.

sub-all::
	$(SWIG) -guile $(SWIGOPT) $(IFILE)
	$(CC) $(CFLAGS) -o $(TARGET) $(SRCS) $(WRAP) $(GUILEINCLUDE) $(GUILELINK)

sub-all-cxx::
	$(SWIG) -c++ -guile $(SWIGOPT) $(IFILE)
	$(CXX) $(CFLAGS) -o $(TARGET) $(SRCS) $(CXXWRAP) $(GUILEINCLUDE) $(GUILELINK)

# Makefile ends here

=== Examples/test-suite/allegrocl/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/allegrocl/Makefile.in,v 1.3 2006/02/27 21:45:07 mutandiz Exp $
# Makefile for allegrocl test-suite
#######################################################################

LANGUAGE     = allegrocl
ALLEGROCL          = 
SCRIPTSUFFIX = _runme.lisp
srcdir       = .
top_srcdir   = ../../..
top_builddir = ../../../

# include $(srcdir)/../common.mk

# these cpp tests aren't working. Fix 'em
# need to further separate these into tests requiring
# std libraries, or the $ldestructor problem.
CPP_TEST_BROKEN_ACL = \
	array_member \
	char_strings \
	class_ignore \
	constant_pointers \
	contract \
	cplusplus_throw \
	cpp_basic \
	cpp_enum \
	cpp_typedef \
	default_constructor \
	default_args \
	dynamic_cast \
	enum_thorough \
	extend_variable \
	global_vars \
	import_nomodule \
	kind \
	li_carrays \
	li_cdata \
	li_windows \
	namespace_class \
	namespace_spaces \
	naturalvar \
	operator_overload \
	overload_simple \
	register_par \
	sizet \
	smart_pointer_extend \
	smart_pointer_namespace \
	template \
	template_classes \
	template_default \
	template_default_inherit \
	template_enum \
	template_explicit \
	template_extend_overload \
	template_ns \
	template_ns4 \
	template_ns_enum \
	template_rename \
	template_retvalue \
	template_static \
	template_tbase_template \
	template_typedef \
	template_typedef_cplx \
	template_typedef_cplx2 \
	template_typedef_cplx3 \
	template_typedef_cplx4 \
	template_typedef_cplx5 \
	template_typedef_ns \
	template_typedef_rec \
	threads \
	typedef_array_member \
	typedef_sizet \
	typemap_namespace \
	union_scope \
	using_pointers \
	valuewrapper_opaque \
	varargs \
	virtual_poly \
	voidtest \
	wrapmacro

# these aren't working due to longlong support. (low hanging fruit)
CPP_TEST_BROKEN_LONGLONG = \
	arrays_dimensionless \
	arrays_global \
	arrays_global_twodim \
	li_stdint \
	li_typemaps \
	long_long_apply \
	mixed_types \
	primitive_ref \
	reference_global_vars \
	template_default_arg

# These are currently unsupported.
CPP_TEST_CASES_ACL_UNSUPPORTED = \
	aggregate \
	contract \
	director_abstract \
	director_basic \
	director_constructor \
	director_detect \
	director_default \
	director_enum \
	director_exception \
	director_frob \
	director_finalizer \
	director_nested \
	director_protected \
	director_redefined \
	director_unroll \
	director_using \
	director_wombat \
	exception_order \
	extern_throws \
	throw_exception
		
# C++ test cases. (Can be run individually using make testcase.cpptest.)
CPP_TEST_CASES = \
	abstract_access \
	abstract_inherit \
	abstract_inherit_ok \
	abstract_signature \
	abstract_typedef \
	abstract_typedef2 \
	abstract_virtual \
	access_change \
	add_link \
	allowexcept \
	anonymous_bitfield \
	argout \
	array_typedef_memberin \
	arrayref \
	arrays_scope \
	bloody_hell \
	bools \
	casts \
	cast_operator \
	class_scope_weird \
	const_const_2 \
	constover \
	constructor_copy \
	constructor_exception \
	constructor_explicit \
	constructor_value \
	compactdefaultargs \
	conversion \
	conversion_namespace \
	conversion_ns_template \
	cpp_namespace \
	cpp_nodefault \
	cpp_static \
	defvalue_constructor \
	derived_byvalue \
	derived_nested \
	destructor_reprotected \
	disown \
	empty \
	enum_plus \
	enum_scope_template \
	enum_template \
	enum_var \
	evil_diamond \
	evil_diamond_ns \
	evil_diamond_prop \
	extend_default \
	extend_placement \
	extend_template \
	extend_template_ns \
	extern_namespace \
	features \
	friends \
	global_ns_arg \
	grouping \
	ignore_parameter \
	inherit \
	inherit_missing \
	inherit_same_name \
	inherit_void_arg \
	inline_initializer \
	langobj \
	li_attribute \
	li_cpointer \
	member_template \
	minherit \
	multiple_inheritance \
	name_cxx \
	name_warnings \
	namespace_enum \
	namespace_extend \
	namespace_nested \
	namespace_template \
	namespace_typedef_class \
	namespace_typemap \
	namespace_virtual_method \
	newobject1 \
	ordering \
	overload_copy \
	overload_extend \
	overload_rename \
	overload_subtype \
	overload_template \
	overload_template_fast \
	pointer_reference \
	private_assign \
        protected_rename \
	pure_virtual \
	redefined \
	refcount \
	rename_scope \
	return_const_value \
	return_value_scope \
	rname \
	smart_pointer_const \
	smart_pointer_const2 \
	smart_pointer_member \
	smart_pointer_multi \
	smart_pointer_multi_typedef \
	smart_pointer_namespace2 \
	smart_pointer_not \
	smart_pointer_overload \
	smart_pointer_protected \
	smart_pointer_rename \
	smart_pointer_simple \
	smart_pointer_static \
	smart_pointer_typedef \
	static_array_member \
	static_const_member \
	static_const_member_2 \
	struct_value \
	template_array_numeric \
	template_arg_replace \
	template_arg_scope \
	template_arg_typename \
	template_base_template \
	template_const_ref \
	template_construct \
	template_default2 \
	template_default_qualify \
	template_default_vw \
	template_enum_ns_inherit \
	template_enum_typedef \
	template_extend_overload_2 \
	template_extend1 \
	template_extend2 \
	template_forward \
	template_inherit \
	template_inherit_abstract \
	template_int_const \
	template_ns2 \
	template_ns3 \
	template_ns_enum2 \
	template_ns_inherit \
	template_ns_scope \
	template_partial_arg \
	template_qualifier \
	template_ref_type \
	template_specialization \
	template_specialization_defarg \
	template_specialization_enum \
	template_typedef_ptr \
	template_using \
	template_virtual \
	template_whitespace \
	typedef_class \
	typedef_funcptr \
	typedef_inherit \
	typedef_mptr \
	typedef_reference \
	typedef_scope \
	typedef_struct \
	typemap_ns_using \
	typemap_numinputs \
	typemap_variables \
	typemap_various \
	typename \
	using1 \
	using2 \
	using_composition \
	using_extend \
	using_inherit \
	using_namespace \
	using_private \
	using_protected \
	valuewrapper \
	valuewrapper_base \
	valuewrapper_const \
	virtual_destructor

# std lib support hasn't been done yet.
SKIP_CPP_STD_CASES = Yes

C_TEST_CASES_ACL_BROKEN = \
	arrays \
	enums \
	extern_declaration \
	immutable \
	integers \
	li_cdata \
	typemap_subst

C_TEST_BROKEN_LONGLONG = \
	long_long

C_TEST_CASES = \
	char_constant \
	const_const \
	empty \
	function_typedef \
	inctest \
	lextype \
	li_carrays \
	li_cmalloc \
	li_constraints \
	li_cpointer \
	li_math \
	name \
	nested \
	newobject2 \
	overload_extend \
	overload_extendc \
	preproc \
	ret_by_value \
	sizeof_pointer \
	sneaky1 \
	struct_rename \
	typedef_struct \
	unions

NOT_BROKEN_TEST_CASES =	$(CPP_TEST_CASES:=.cpptest) \
			$(C_TEST_CASES:=.ctest) \
			$(MULTI_CPP_TEST_CASES:=.multicpptest) \
			$(CUSTOM_TEST_CASES:=.customtest)

check: 	$(NOT_BROKEN_TEST_CASES)

include $(srcdir)/../common.mk

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	($(swig_and_compile_cpp); ) &&\
	$(run_testcase)

%.ctest:
	$(setup) \
	($(swig_and_compile_c); ) &&\
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	($(swig_and_compile_multi_cpp); ) &&\
	$(run_testcase)

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.lisp appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(ALLEGROCLBIN) -batch -s $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

# Clean: (does nothing, we dont generate extra allegrocl code)
%.clean:


clean:
	$(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile allegrocl_clean

=== Examples/test-suite/cffi/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/cffi/Makefile.in,v 1.1 2006/01/14 13:36:28 mkoeppe Exp $
# Makefile for cffi test-suite
#######################################################################

LANGUAGE     = cffi
CFFI          = @CFFIBIN@
SCRIPTSUFFIX = _runme.lisp
srcdir       = .
top_srcdir   = ../../..
top_builddir = ../../../

include $(srcdir)/../common.mk

# no C++ tests for now
CPP_TEST_CASES =
#C_TEST_CASES += 

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	($(swig_and_compile_cpp); ) &&\
	$(run_testcase)

%.ctest:
	$(setup) \
	($(swig_and_compile_c); ) &&\
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	($(swig_and_compile_multi_cpp); ) &&\
	$(run_testcase)

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.lisp appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(CFFIBIN) -batch -s $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

# Clean: (does nothing, we dont generate extra cffi code)
%.clean:


clean:
	$(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile cffi_clean

=== Examples/test-suite/chicken/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/chicken/Makefile.in,v 1.14 2005/11/26 09:36:21 wsfulton Exp $
# Makefile for chicken test-suite
#######################################################################

LANGUAGE     = chicken
VARIANT      = 
SCRIPTSUFFIX = _runme.ss
PROXYSUFFIX  = _runme_proxy.ss
srcdir       = .
top_srcdir   = ../../..
top_builddir = ../../../
CHICKEN_CSI  =  -quiet -batch -no-init
SO           = .so

#C_TEST_CASES = long_long list_vector pointer_in_out multivalue

# Skip the STD cases for now, except for li_std_string.i
SKIP_CPP_STD_CASES = Yes

CPP_TEST_CASES += li_std_string 

include $(srcdir)/../common.mk


# Overridden variables here
SWIGOPT += -nounit

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	($(swig_and_compile_cpp); ) && \
	$(run_testcase)
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(PROXYSUFFIX) ]; then ( \
	  $(MAKE) $*.cppproxy; ) \
	fi;

%.ctest:
	$(setup) \
	($(swig_and_compile_c); ) && \
	$(run_testcase)
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(PROXYSUFFIX) ]; then ( \
	  $(MAKE) $*.cproxy; ) \
	fi;

%.multicpptest: 
	$(setup) \
	($(swig_and_compile_multi_cpp); ) && \
	$(run_testcase)
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(PROXYSUFFIX) ]; then ( \
	  $(MAKE) $*.multiproxy; ) \
	fi;

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.scm appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(CHICKEN_CSI) $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

# If there exists a PROXYSUFFIX runme file, we also generate the wrapper
# with the -proxy argument
%.cppproxy: SWIGOPT += -proxy
%.cppproxy: SCRIPTSUFFIX = $(PROXYSUFFIX)
%.cppproxy:
	echo "Checking testcase $* (with run test) under chicken with -proxy"; \
	($(swig_and_compile_cpp); ) && \
	$(run_testcase)

%.cproxy: SWIGOPT += -proxy
%.cproxy: SCRIPTSUFFIX = $(PROXYSUFFIX)
%.cproxy:
	echo "Checking testcase $* (with run test) under chicken with -proxy"; \
	($(swig_and_compile_c); ) && \
	$(run_testcase)

%.multiproxy: SWIGOPT += -proxy -noclosuses
%.multiproxy: SCRIPTSUFFIX = $(PROXYSUFFIX)
%.multiproxy:
	echo "Checking testcase $* (with run test) under chicken with -proxy"; \
	($(swig_and_compile_multi_cpp); ) && \
	$(run_testcase)

# Clean
%.clean:
	

clean:
	$(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile chicken_clean
	rm -f *.scm

=== Examples/test-suite/clisp/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/clisp/Makefile.in,v 1.1 2006/01/14 13:36:28 mkoeppe Exp $
# Makefile for clisp test-suite
#######################################################################

LANGUAGE     = clisp
CLISP          = 
SCRIPTSUFFIX = _runme.lisp
srcdir       = .
top_srcdir   = ../../..
top_builddir = ../../../

include $(srcdir)/../common.mk

# no C++ tests for now
CPP_TEST_CASES =
#C_TEST_CASES += 

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	($(swig_and_compile_cpp); ) &&\
	$(run_testcase)

%.ctest:
	$(setup) \
	($(swig_and_compile_c); ) &&\
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	($(swig_and_compile_multi_cpp); ) &&\
	$(run_testcase)

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.lisp appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(CLISPBIN) -batch -s $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

# Clean: (does nothing, we dont generate extra clisp code)
%.clean:


clean:
	$(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile clisp_clean

=== Examples/test-suite/csharp/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/csharp/Makefile.in,v 1.13 2005/12/29 23:24:22 wsfulton Exp $
# Makefile for C# test-suite
#######################################################################

LANGUAGE     = csharp
SCRIPTSUFFIX = _runme.cs
INTERPRETER  = 
CSHARPPATHSEPARATOR = "/"
CSHARPCYGPATH_W     = echo
srcdir       = .
top_srcdir   = ../../../..
top_builddir = ../../../../

CPP_TEST_CASES = \
	csharp_attributes \
	csharp_exceptions \
	csharp_features \
	csharp_typemaps \
	enum_thorough_simple \
	enum_thorough_typesafe

CUSTOM_TEST_CASES = intermediary_classname

include $(srcdir)/../common.mk

# Overridden variables here
SWIGOPT += -namespace $*Namespace $(SWIGOPTSPECIAL)

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	(cd $* && $(swig_and_compile_cpp); ) && \
	$(run_testcase)

%.ctest:
	$(setup) \
	(cd $* && $(swig_and_compile_c); ) && \
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	(cd $* && $(swig_and_compile_multi_cpp); ) && \
	$(run_testcase)

# Rules for custom tests
intermediary_classname.customtest: 
	$(MAKE) intermediary_classname.cpptest SWIGOPTSPECIAL="-dllimport intermediary_classname"

# Makes a directory for the testcase if it does not exist
setup = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then	  \
	  echo "Checking testcase $* (with run test) under $(LANGUAGE)" ; \
	else								  \
	  echo "Checking testcase $* under $(LANGUAGE)" ;		  \
	fi;								  \
	if [ ! -d $* ]; then						  \
		mkdir $*;						  \
	fi;

# Compiles C# files then runs the testcase. A testcase is only run if
# a file is found which has _runme.cs appended after the testcase name.
# Note C# uses LD_LIBRARY_PATH under Unix, PATH under Cygwin/Windows and SHLIB_PATH on HPUX.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  $(MAKE) -f $*/$(top_builddir)/$(EXAMPLES)/Makefile \
	  CSHARPFLAGS='-nologo -out:$*_runme.exe' \
	  CSHARPSRCS='`$(CSHARPCYGPATH_W) $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX)` \
	  $*$(CSHARPPATHSEPARATOR)*.cs' csharp_compile && \
	  env LD_LIBRARY_PATH="$*:$$LD_LIBRARY_PATH" PATH="$*:$$PATH" SHLIB_PATH="$*:$$SHLIB_PATH" $(INTERPRETER) $*_runme.exe; ) \
	else ( \
	  cd $* && \
	  $(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile \
	  CSHARPFLAGS='-nologo -t:module -out:$*.netmodule' \
	  CSHARPSRCS='*.cs' csharp_compile; ); \
	fi;

# Clean: remove testcase directories
%.clean:
	@if [ -d $* ]; then \
		rm -rf $*; \
	fi;

clean:
	@rm -f *.exe

=== Examples/test-suite/guile/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/guile/Makefile.in,v 1.8 2005/06/10 11:30:32 mkoeppe Exp $
# Makefile for guile test-suite
#######################################################################

LANGUAGE     = guile
VARIANT      = _gh
SCRIPTSUFFIX = _runme.scm
srcdir       = .
top_srcdir   = ../../..
top_builddir = ../../../
GUILE        = 

C_TEST_CASES = long_long list_vector pointer_in_out multivalue

include $(srcdir)/../common.mk

# Overridden variables here
# none!

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	($(swig_and_compile_cpp); ) && \
	$(run_testcase)

%.ctest:
	$(setup) \
	($(swig_and_compile_c); ) && \
	$(run_testcase)

# override the default in common.mk by adding SWIGOPT +=
swig_and_compile_multi_cpp = \
	for f in `cat $(top_srcdir)/$(EXAMPLES)/$(TEST_SUITE)/$*.list` ; do \
	  SWIGOPT=" -runtime "; \
	  export SWIGOPT; \
	  $(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile CXXSRCS="$(CXXSRCS)" \
	  SWIG_LIB="$(SWIG_LIB)" SWIG="$(SWIG)" LIBS='$(LIBS)' \
	  INCLUDES="$(INCLUDES)" SWIGOPT="$(SWIGOPT) $$SWIGOPT" NOLINK=true \
	  TARGET="$(TARGETPREFIX)$${f}$(TARGETSUFFIX)" INTERFACE="$$f.i" \
	  $(LANGUAGE)$(VARIANT)_cpp; \
	  SWIGOPT=" -noruntime "; \
	done

%.multicpptest: 
	$(setup) \
	($(swig_and_compile_multi_cpp); ) && \
	$(run_testcase)

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.scm appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(GUILE) -l $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

# Clean
%.clean:
	@rm -f $*-guile

clean:
	$(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile guile_clean

=== Examples/test-suite/guilescm/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/guilescm/Makefile.in,v 1.6 2005/06/10 11:35:45 mkoeppe Exp $
# Makefile for guile test-suite (with SCM API)
#######################################################################

include ../guile/Makefile

VARIANT      =
# Refer to the guile directory for the run scripts
SCRIPTPREFIX = ../guile/

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.scm appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(GUILE) -l $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

setup = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then	  \
	  echo "Checking testcase $* (with run test) under $(LANGUAGE) (with SCM API)" ; \
	else								  \
	  echo "Checking testcase $* under $(LANGUAGE) (with SCM API)" ;		  \
	fi;

swig_and_compile_multi_cpp = \
	for f in `cat $(top_srcdir)/$(EXAMPLES)/$(TEST_SUITE)/$*.list` ; do \
	  $(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile CXXSRCS="$(CXXSRCS)" \
	  SWIG_LIB="$(SWIG_LIB)" SWIG="$(SWIG)" LIBS='$(LIBS)' \
	  INCLUDES="$(INCLUDES)" SWIGOPT="$(SWIGOPT) $$SWIGOPT" NOLINK=true \
	  TARGET="$(TARGETPREFIX)$${f}$(TARGETSUFFIX)" INTERFACE="$$f.i" \
	  $(LANGUAGE)$(VARIANT)_cpp; \
	done

=== Examples/test-suite/java/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/java/Makefile.in,v 1.12 2006/01/07 19:54:27 wsfulton Exp $
# Makefile for java test-suite
#######################################################################

LANGUAGE     = java
SCRIPTSUFFIX = _runme.java
srcdir       = .
top_srcdir   = ../../../..
top_builddir = ../../../../

C_TEST_CASES = \
	java_lib_arrays \
	java_lib_various

CPP_TEST_CASES = \
	enum_thorough_proper \
	enum_thorough_simple \
	enum_thorough_typeunsafe \
	intermediary_classname \
	java_constants \
	java_director \
	java_enums \
	java_lib_arrays_dimensionless \
	java_lib_various \
	java_jnitypes \
	java_pragmas \
	java_throws \
	java_typemaps_proxy \
	java_typemaps_typewrapper

include $(srcdir)/../common.mk

# Overridden variables here
SWIGOPT += -package $*

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	(cd $*; $(swig_and_compile_cpp); ) && \
	$(run_testcase)

%.ctest:
	$(setup) \
	(cd $*; $(swig_and_compile_c); ) && \
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	(cd $*; $(swig_and_compile_multi_cpp); ) && \
	$(run_testcase)

# Makes a directory for the testcase if it does not exist
setup = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then	  \
	  echo "Checking testcase $* (with run test) under $(LANGUAGE)" ; \
	else								  \
	  echo "Checking testcase $* under $(LANGUAGE)" ;		  \
	fi;								  \
	if [ ! -d $* ]; then						  \
		mkdir $*;						  \
	fi;

# Compiles java files then runs the testcase. A testcase is only run if
# a file is found which has _runme.java appended after the testcase name.
# Note Java uses LD_LIBRARY_PATH under Unix, PATH under Cygwin/Windows, SHLIB_PATH on HPUX and DYLD_LIBRARY_PATH on Mac OS X.
run_testcase = \
	(cd $* && javac -classpath . *.java; ) && \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  javac -classpath . -d . $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) && 	  \
	  env LD_LIBRARY_PATH="$*:$$LD_LIBRARY_PATH" PATH="$*:$$PATH" SHLIB_PATH="$*:$$SHLIB_PATH" DYLD_LIBRARY_PATH="$*:$$DYLD_LIBRARY_PATH" java -classpath . $*\_runme;) \
	fi;

# Clean: remove testcase directories
%.clean:
	@if [ -d $* ]; then \
		rm -rf $*; \
	fi;

clean:
	@rm -f *.class hs_err*.log

=== Examples/test-suite/lua/Makefile ===
#######################################################################
# $Header: /cvsroot/swig/SWIG/Examples/test-suite/lua/Makefile.in,v 1.2 2005/09/12 22:14:37 wsfulton Exp $
# Makefile for lua test-suite
#######################################################################

LANGUAGE     = lua
LUA          = /usr/bin/lua
SCRIPTSUFFIX = _runme.lua
srcdir       = .
top_srcdir   = ../../..
top_builddir = ../../../

# sorry, currently very few test cases work/have been written

#CPP_TEST_CASES += \
#	cnum 

#C_TEST_CASES += \
#	file_test \
#	nondynamic


include $(srcdir)/../common.mk

# Overridden variables here
LIBS       = -L.

# Rules for the different types of tests
%.cpptest: 
	$(setup) \
	($(swig_and_compile_cpp); ) &&\
	$(run_testcase)

%.ctest:
	$(setup) \
	($(swig_and_compile_c); ) &&\
	$(run_testcase)

%.multicpptest: 
	$(setup) \
	($(swig_and_compile_multi_cpp); ) &&\
	$(run_testcase)

# Runs the testcase. A testcase is only run if
# a file is found which has _runme.lua appended after the testcase name.
run_testcase = \
	if [ -f $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX) ]; then (	  \
	  env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH $(LUA) $(srcdir)/$(SCRIPTPREFIX)$*$(SCRIPTSUFFIX);) \
	fi;

# Clean: (does nothing, we dont generate extra lua code)
%.clean:
	

clean:
	$(MAKE) -f $(top_builddir)/$(EXAMPLES)/Makefile lua_clean

cvsignore:
	@echo '*wrap* *.so *.dll *.exp *.lib'
	@echo Makefile
	@for i in ${CPP_TEST_CASES} ${C_TEST_CASES}; do echo $$i.lua; done 
	@for i in ${CPP_TEST_CASES} ${C_TEST_CASES}; do if grep -q $${i}_runme.lua CVS/Entries ; then echo $${i}_runme.lua; fi; done

=== debian/changelog ===
swig-wx (1.3.29-2lucid) lucid; urgency=high

  * autogenerated

 -- Dirk Thomas <dthomas@willowgarage.com>, William Woodall <wwoodall@willowgarage.com>  Mon, 12 Nov 2012 01:42:45 -0800

=== debian/control ===
Source: swig-wx
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@willowgarage.com>, William Woodall <wwoodall@willowgarage.com>
Build-Depends: debhelper (>= 7.0.50~), autoconf,automake
Homepage: http://wxpython.wxcommunity.com/tools/
Standards-Version: 3.9.2

Package: swig-wx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This is a special version of swig needed by wxPython, which is SWIG version 1.3.29 plus some custom patches (explained at http://wxpython.org/builddoc.php). The patched latest version of wxPython SWIG is available at http://wxpython.wxcommunity.com/tools/

=== debian/rules ===
#! /usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- \
                --prefix="/opt/ros/groovy"

override_dh_auto_test:
	echo -- Running tests. Even if one of them fails the build is not canceled.
	dh_auto_test || true

override_dh_installdocs:
	dh_installdoc || true
